﻿#region Using

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Web.Caching;
using System.Xml;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using BlogEngine.Core;

#endregion

public partial class widgets_Layered_Categories_widget : WidgetBase
{

	public override string Name
	{
		get { return "LayeredCategorylist"; }
	}

	public override bool IsEditable
	{
		get { return true; }
	}

	public override void LoadWidget()
	{
		StringDictionary settings = GetSettings();
		bool showRssIcon = true;
		bool showPostCount = true;
        if (settings.ContainsKey("lshowrssicon"))
		{
            bool.TryParse(settings["lshowrssicon"], out showRssIcon);
            bool.TryParse(settings["lshowpostcount"], out showPostCount);
		}

		uxLayeredCategoryList.ShowRssIcon = showRssIcon;
        uxLayeredCategoryList.ShowPostCount = showPostCount;
	}
}
