﻿#region Using

using System;
using System.Collections.Specialized;
using System.Web;
using System.Web.UI;
using BlogEngine.Core;
using App_Code.Controls;

#endregion

namespace Widgets.LayeredCategoryList
{
    public partial class edit : WidgetEditBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                StringDictionary settings = GetSettings();
                bool showRssIcon = true;
                bool showPostCount = true;
                if (settings.ContainsKey("lshowrssicon"))
                {
                    bool.TryParse(settings["lshowrssicon"], out showRssIcon);
                    bool.TryParse(settings["lshowpostcount"], out showPostCount);
                }

                cbShowRssIcon.Checked = showRssIcon;
                cbShowPostCount.Checked = showPostCount;
            }
        }

        public override void Save()
        {
            StringDictionary settings = GetSettings();
            settings["lshowrssicon"] = cbShowRssIcon.Checked.ToString();
            settings["lshowpostcount"] = cbShowPostCount.Checked.ToString();
            SaveSettings(settings);
        }
    }
}